INFO

This repository contains the bash scripts and the config files required to produce a neural network (genetic algorithm) for the Pisces1d configuration of NEMO. 
The purpose of the genetic algorithm is to establish an ideal set of parameters which simulate the ocean model most accurately. 
At this moment, the scripts are in place for a very specific example, but future updates will extend it's potential usage. 

USAGE

To configure it for use, one must first install and compile Nemo and set up the 1D configuration. Instructions can be found here: 
https://earth.bsc.es/gitlab/mgalitap/pisces_offline/wikis/pisces-offline

Once NEMO with Pisces1D is installed successfully, pull the workflow directory onto your home machine and change the variable SCRHOME to the project path in each of the scripts. 
In pre.sh and sim.sh, the path to an output file needs to be changed to a netcdf of observations (which must be in the same grid as the outputs) 
Also edit the longitudes and latitudes in pre.sh accordingly. 

On autosubmit, create a new experiment using the command
autosubmit expid --copy t023 --HPC marenostrum4 -d "Experiment is about..."
Which will generate your experiment xxxx.

Go to esarchive/autosubmit/xxxx/conf and replace the files there with the config files in this repository. 

Edit expdef_a1yt.conf: 
The number of members corresponds to the number of generations that the GA will run for. 
The number of chunks corresponds to the number of sets of parameters in each generation.
Under [local], change the PROJECT_PATH variable so it points to the workflow directory.

Finally,
autosubmit refresh xxxx
autosubmit create xxxx
autosubmit run xxxx
